%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-traverse
Version:        0.6.5
Release:        1%{?dist}
Summary:        Traverse and transform objects

Group:          System Environment/Libraries
License:        MIT
URL:            https://github.com/substack/js-traverse
Source0:        http://registry.npmjs.org/traverse/-/traverse-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif

%description
Traverse and transform objects by visiting every node on a recursive walk.

%prep
%setup -q -n package

#fix permissions on stuff that goes in %%doc
chmod 0644 examples/*

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/traverse
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/traverse

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%tap test/*.js
%endif

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/traverse
%doc examples LICENSE readme.markdown

%changelog
* Tue Sep 03 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.5-1
- update to upstream release 0.6.5
- enable tests

* Sun Aug 18 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.6.3-5
- rebuild to restrict to compatible arches

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.3-3
- add macro to enable dependency generation on EPEL6

* Tue Jan 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.3-2
- fix permissions on examples

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.6.3-1
- initial package generated by npm2rpm
